## r-cran-gert 1.1.0

=== DESCRIPTION ===
Type: Package
Package: gert
Title: Simple Git Client for R
Version: 1.1.0
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Jennifer", "Bryan", role = "ctb", email = "jenny@rstudio.com",
      comment = c(ORCID = "0000-0002-6983-2759")))
Description: Simple git client for R based on 'libgit2' with support for SSH and 
    HTTPS remotes. All functions in 'gert' use basic R data types (such as vectors
    and data-frames) for their arguments and return values. User credentials are
    shared with command line 'git' through the git-credential store and ssh keys
    stored on disk or ssh-agent. On Linux, a somewhat recent version of 'libgit2'
    is required; we provide a 'PPA' for older Ubuntu 'LTS' versions. 
License: MIT + file LICENSE
URL: https://docs.ropensci.org/gert/ (website),
        https://github.com/r-lib/gert (devel), https://libgit2.org
        (upstream)
BugReports: https://github.com/r-lib/gert/issues
Imports: askpass, credentials (>= 1.2.1), openssl (>= 1.4.1),
        rstudioapi (>= 0.11), sys, zip (>= 2.1.0)
Suggests: spelling, knitr, rmarkdown, testthat
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: libgit2 (>= 0.26): libgit2-devel (rpm) or
        libgit2-dev (deb). A PPA is available for older Ubuntu LTS
        versions.
Language: en-US
NeedsCompilation: yes
Packaged: 2021-01-25 18:34:42 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Jennifer Bryan [ctb] (<https://orcid.org/0000-0002-6983-2759>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2021-01-25 21:50:09 UTC

=== debian/changelog ===
r-cran-gert (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2021 21:44:41 +0100

r-cran-gert (1.0.2-1) unstable; urgency=medium

  * Initial release (closes: #980911)

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2021 16:31:03 +0100

=== debian/control ===
Source: r-cran-gert
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-askpass,
               r-cran-openssl (>= 1.4.1),
               r-cran-rstudioapi (>= 0.11),
               r-cran-sys,
               r-cran-zip (>= 2.1.0),
               r-cran-credentials,
# <dh-update-R>do not delete this</dh-update-R>
               libgit2-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git
Homepage: https://cran.r-project.org/package=gert
Rules-Requires-Root: no

Package: r-cran-gert
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: simple git client for GNU R
 Simple git client for R based on 'libgit2' with support for SSH and
 HTTPS remotes. All functions in 'gert' use basic R data types (such as vectors
 and data-frames) for their arguments and return values. User credentials are
 shared with command line 'git' through the git-credential store and ssh keys
 stored on disk or ssh-agent.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gert_([-\d.]*)\.tar\.gz

## r-cran-gert 1.5.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: gert
 Title: Simple Git Client for R
-Version: 1.1.0
+Version: 1.5.0
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -11,8 +11,7 @@
     HTTPS remotes. All functions in 'gert' use basic R data types (such as vectors
     and data-frames) for their arguments and return values. User credentials are
     shared with command line 'git' through the git-credential store and ssh keys
-    stored on disk or ssh-agent. On Linux, a somewhat recent version of 'libgit2'
-    is required; we provide a 'PPA' for older Ubuntu 'LTS' versions. 
+    stored on disk or ssh-agent.
 License: MIT + file LICENSE
 URL: https://docs.ropensci.org/gert/ (website),
         https://github.com/r-lib/gert (devel), https://libgit2.org
@@ -25,13 +24,12 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.1
 SystemRequirements: libgit2 (>= 0.26): libgit2-devel (rpm) or
-        libgit2-dev (deb). A PPA is available for older Ubuntu LTS
-        versions.
+        libgit2-dev (deb)
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-01-25 18:34:42 UTC; jeroen
+Packaged: 2022-01-03 10:13:14 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Jennifer Bryan [ctb] (<https://orcid.org/0000-0002-6983-2759>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-01-25 21:50:09 UTC
+Date/Publication: 2022-01-03 10:40:07 UTC

=== debian/changelog ===
r-cran-gert (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 14:14:34 +0100

r-cran-gert (1.4.3+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4.3+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Thu, 11 Nov 2021 11:59:01 +0530

r-cran-gert (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 20:26:25 +0530

r-cran-gert (1.4.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Remove patches, name of branch seems to have changed again meanwhile

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 12:30:27 +0530

r-cran-gert (1.4.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not run test-auth.R which tries accessing github for auth
  * Remove un-necessary restrictions on isolation-container
  * Add patch to fix autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 02:26:47 +0530

r-cran-gert (1.4.1+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Remove unwanted html, generate it from Rmd during build
  * d/tests/control: Add Depends on ca-certificates and
    Restrictions on needs-internet

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Explicitly add r-cran-knitr and r-cran-markdown to Build-Depends
    which were removed by dh-update-R but are used to recreate the docs

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 10:13:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,16 @@
                dh-r,
                r-base-dev,
                r-cran-askpass,
+               r-cran-credentials,
                r-cran-openssl (>= 1.4.1),
                r-cran-rstudioapi (>= 0.11),
                r-cran-sys,
                r-cran-zip (>= 2.1.0),
-               r-cran-credentials,
-# <dh-update-R>do not delete this</dh-update-R>
+# <dh-update-R>do not delete this, knitr and markdown are used to recreate the docs</dh-update-R>
+               r-cran-knitr,
+               r-cran-markdown,
                libgit2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git
 Homepage: https://cran.r-project.org/package=gert

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_auto_build:
	cd inst/doc && Rscript -e "require(knitr); require(markdown); knit('gert.Rmd', 'gert.md'); markdownToHTML('gert.md', 'gert.html', options=c('use_xhtml', 'base64_images'));" && rm -f gert.md

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, ca-certificates
Restrictions: allow-stderr, needs-internet

## r-cran-gert 1.7.1+dfsg

=== debian/changelog ===
r-cran-gert (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:42:33 +0200

r-cran-gert (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 09:19:35 +0200

r-cran-gert (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2022 12:06:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                r-cran-rstudioapi (>= 0.11),
                r-cran-sys,
                r-cran-zip (>= 2.1.0),
+               libgit2-dev,
 # <dh-update-R>do not delete this, knitr and markdown are used to recreate the docs</dh-update-R>
                r-cran-knitr,
                r-cran-markdown,
-               libgit2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git
 Homepage: https://cran.r-project.org/package=gert

## r-cran-gert 1.9.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,13 @@
                r-base-dev,
                r-cran-askpass,
                r-cran-credentials,
-               r-cran-openssl (>= 1.4.1),
+               r-cran-openssl (>= 2.0.3),
                r-cran-rstudioapi (>= 0.11),
                r-cran-sys,
                r-cran-zip (>= 2.1.0),
                libgit2-dev,
-# <dh-update-R>do not delete this, knitr and markdown are used to recreate the docs</dh-update-R>
                r-cran-knitr,
-               r-cran-markdown,
+               r-cran-markdown
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git

## r-cran-gert 1.9.2+dfsg

=== DESCRIPTION ===
Type: Package
Package: gert
Title: Simple Git Client for R
Version: 1.9.2
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Jennifer", "Bryan", role = "ctb", email = "jenny@rstudio.com",
      comment = c(ORCID = "0000-0002-6983-2759")))
Description: Simple git client for R based on 'libgit2' <https://libgit2.org> with
    support for SSH and HTTPS remotes. All functions in 'gert' use basic R data 
    types (such as vectors and data-frames) for their arguments and return values.
    User credentials are shared with command line 'git' through the git-credential
    store and ssh keys stored on disk or ssh-agent.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/gert/, https://github.com/r-lib/gert
BugReports: https://github.com/r-lib/gert/issues
Imports: askpass, credentials (>= 1.2.1), openssl (>= 2.0.3),
        rstudioapi (>= 0.11), sys, zip (>= 2.1.0)
Suggests: spelling, knitr, rmarkdown, testthat
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.1
SystemRequirements: libgit2 (>= 1.0): libgit2-devel (rpm) or
        libgit2-dev (deb)
Language: en-US
NeedsCompilation: yes
Packaged: 2022-12-05 23:16:35 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Jennifer Bryan [ctb] (<https://orcid.org/0000-0002-6983-2759>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-12-05 23:50:02 UTC

=== debian/changelog ===
r-cran-gert (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:02:49 +0100

r-cran-gert (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 11:37:59 +0200

r-cran-gert (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 19:18:30 +0200

## r-cran-gert 1.9.3+dfsg

=== debian/changelog ===
r-cran-gert (1.9.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Aug 2023 13:28:18 +0200

## r-cran-gert 2.0.1%2Bdfsg

=== debian/changelog ===
r-cran-gert (2.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 19 Dec 2023 00:08:20 +0000

r-cran-gert (2.0.0+dfsg-2) unstable; urgency=medium

  * Remove rebuilt doc in clean target
    Closes: #1047567

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 07:42:08 +0200

r-cran-gert (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 19:51:27 +0200

## r-cran-gert 2.0.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: gert
 Title: Simple Git Client for R
-Version: 1.9.2
+Version: 2.0.1
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -13,21 +13,22 @@
     User credentials are shared with command line 'git' through the git-credential
     store and ssh keys stored on disk or ssh-agent.
 License: MIT + file LICENSE
-URL: https://docs.ropensci.org/gert/, https://github.com/r-lib/gert
+URL: https://docs.ropensci.org/gert/
+        https://ropensci.r-universe.dev/gert
 BugReports: https://github.com/r-lib/gert/issues
 Imports: askpass, credentials (>= 1.2.1), openssl (>= 2.0.3),
         rstudioapi (>= 0.11), sys, zip (>= 2.1.0)
 Suggests: spelling, knitr, rmarkdown, testthat
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 SystemRequirements: libgit2 (>= 1.0): libgit2-devel (rpm) or
         libgit2-dev (deb)
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2022-12-05 23:16:35 UTC; jeroen
+Packaged: 2023-12-04 12:38:34 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Jennifer Bryan [ctb] (<https://orcid.org/0000-0002-6983-2759>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-12-05 23:50:02 UTC
+Date/Publication: 2023-12-04 13:10:05 UTC

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                r-cran-askpass,
                r-cran-credentials,
                r-cran-openssl (>= 2.0.3),
-               r-cran-rstudioapi (>= 0.11),
+               r-cran-rstudioapi,
                r-cran-sys,
-               r-cran-zip (>= 2.1.0),
+               r-cran-zip,
                libgit2-dev,
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git
 Homepage: https://cran.r-project.org/package=gert

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
repacksuffix=+dfsg,\
dversionmangle=auto \
https://cloud.r-project.org/src/contrib/gert_([-\d.]*)\.tar\.gz

## r-cran-gert 2.1.0+dfsg

=== debian/changelog ===
r-cran-gert (2.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 01 Aug 2024 08:49:33 +0900

## r-cran-gert 2.1.4+dfsg

=== DESCRIPTION ===
Type: Package
Package: gert
Title: Simple Git Client for R
Version: 2.1.4
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("Jennifer", "Bryan", role = "ctb", email = "jenny@posit.co",
      comment = c(ORCID = "0000-0002-6983-2759")))
Description: Simple git client for R based on 'libgit2' <https://libgit2.org> with
    support for SSH and HTTPS remotes. All functions in 'gert' use basic R data 
    types (such as vectors and data-frames) for their arguments and return values.
    User credentials are shared with command line 'git' through the git-credential
    store and ssh keys stored on disk or ssh-agent.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/gert/,
        https://ropensci.r-universe.dev/gert
BugReports: https://github.com/r-lib/gert/issues
Imports: askpass, credentials (>= 1.2.1), openssl (>= 2.0.3),
        rstudioapi (>= 0.11), sys, zip (>= 2.1.0)
Suggests: spelling, knitr, rmarkdown, testthat
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.3.2.9000
SystemRequirements: libgit2 (>= 1.0): libgit2-devel (rpm) or
        libgit2-dev (deb)
Language: en-US
NeedsCompilation: yes
Packaged: 2024-10-14 09:10:22 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Jennifer Bryan [ctb] (<https://orcid.org/0000-0002-6983-2759>)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-14 12:10:59 UTC

=== debian/changelog ===
r-cran-gert (2.1.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2024 13:17:00 +0900

r-cran-gert (2.1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 25 Sep 2024 08:26:53 +0900

r-cran-gert (2.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Sep 2024 08:30:25 +0900

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libgit2-dev,
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git
 Homepage: https://cran.r-project.org/package=gert

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spelling,
        r-cran-rmarkdown,
        r-cran-testthat,
        ca-certificates
Restrictions: allow-stderr, needs-internet

## r-cran-gert 2.2.0+dfsg

=== debian/changelog ===
r-cran-gert (2.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 15:06:11 +0900

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,16 @@
                r-base-dev,
                r-cran-askpass,
                r-cran-credentials,
-               r-cran-openssl (>= 2.0.3),
+               r-cran-openssl,
                r-cran-rstudioapi,
                r-cran-sys,
                r-cran-zip,
                libgit2-dev,
                r-cran-knitr,
-               r-cran-markdown
-Standards-Version: 4.7.0
+               r-cran-markdown,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git
 Homepage: https://cran.r-project.org/package=gert

## r-cran-gert 2.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: gert
 Title: Simple Git Client for R
-Version: 2.1.4
+Version: 2.3.1
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -21,14 +21,14 @@
 Suggests: spelling, knitr, rmarkdown, testthat
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.3.2.9000
+RoxygenNote: 7.3.3
 SystemRequirements: libgit2 (>= 1.0): libgit2-devel (rpm) or
         libgit2-dev (deb)
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2024-10-14 09:10:22 UTC; jeroen
-Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
-  Jennifer Bryan [ctb] (<https://orcid.org/0000-0002-6983-2759>)
+Packaged: 2026-01-11 11:37:47 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
+  Jennifer Bryan [ctb] (ORCID: <https://orcid.org/0000-0002-6983-2759>)
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-10-14 12:10:59 UTC
+Date/Publication: 2026-01-11 23:50:02 UTC

=== debian/changelog ===
r-cran-gert (2.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update watch file format version to 5.
  * Add dversionmangle for repack versioning in debian/watch.
  * Add ITP bugs in 1.0.2-1.
  * debputy lint --auto-fix (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Feb 2026 10:54:31 +0900

=== debian/control ===
Source: r-cran-gert
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-askpass,
 r-cran-credentials,
 r-cran-openssl,
 r-cran-rstudioapi,
 r-cran-sys,
 r-cran-zip,
 libgit2-dev,
 r-cran-knitr,
 r-cran-markdown,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gert
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gert.git
Homepage: https://cran.r-project.org/package=gert
Rules-Requires-Root: no

Package: r-cran-gert
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: simple git client for GNU R
 Simple git client for R based on 'libgit2' with support for SSH and
 HTTPS remotes. All functions in 'gert' use basic R data types (such as vectors
 and data-frames) for their arguments and return values. User credentials are
 shared with command line 'git' through the git-credential store and ssh keys
 stored on disk or ssh-agent.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr, needs-internet
Depends:
 @,
 r-cran-spelling,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-testthat,
 ca-certificates,

=== debian/watch ===
Version: 5

Source: https://cloud.r-project.org/src/contrib/gert_([-\d.]*)\.tar\.gz
Compression: xz
Repack-Suffix: +dfsg
Debian-Version-Mangle: auto
Dversion-Mangle: s/\+(dfsg|ds|debian|repack)(\d*)$//
